> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate chat

> Deactivates a chat by closing the currently open thread. Sending messages to this thread will no longer be possible.

The requester must be present on the list of chat users (can be overridden with `ignore_requester_presence`).

**Required scopes:** <Tooltip tip="To deactivate a chat in any group.">`chats--all:rw`</Tooltip> or <Tooltip tip="To deactivate a chat in groups that the agent (related to the token) is a member of.">`chats--access:rw`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.5/openapi.json post /action/deactivate_chat
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.5'
servers:
  - url: https://api.livechatinc.com/v3.5/agent
    description: Production server
security: []
paths:
  /action/deactivate_chat:
    post:
      tags:
        - Chats
      summary: Deactivate chat
      description: >-
        Deactivates a chat by closing the currently open thread. Sending
        messages to this thread will no longer be possible.


        The requester must be present on the list of chat users (can be
        overridden with `ignore_requester_presence`).
      operationId: deactivate-chat
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeactivateChatRequest'
            example:
              id: PJ0MRSHTDG
      responses:
        '200':
          description: Chat deactivated.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:rw
components:
  schemas:
    DeactivateChatRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Chat ID.
        ignore_requester_presence:
          type: boolean
          default: false
          description: >-
            If `true`: the requester doesn't need to be present on the chat
            users list.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````